Bug 131554 - RFE: support USB DSL modems
RFE: support USB DSL modems
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On: 109671 131555 131556 131559
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-02 05:19 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 03:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-09-02 05:19:41 EDT
Tracking bug. The hoops that a user has to jump through just to get
DSL working with the standard USB DSL modem which arrives with most
DSL packages in the UK are prohibitively difficult. Let's make it suck
less.
Comment 1 David Woodhouse 2004-09-29 12:27:00 EDT
At ftp://pentafluge.infradead.org/pub/dsl/ there is most of what you
should need to get the Speedtouch working sanely under rawhide.

There's a new kernel driver which obsoletes the old 'modem_run' tool.
The driver is now capable of loading the firmware and initialising the
modem for itself. You do still need to download the firmware and use
the extraction tool which is part of the userspace 'speedtouch'
package, then put the resulting boot block and main firmware images
into /lib/firmware so that request_firmware can find them. The boot
block should be called 'speedtch_fw1', and the main image should be
either 'speedtch_fw2_rev123' or 'speedtch_fw2_rev4' depending on the
revision of your modem.

To build the kernel driver, untar it, change into its directory and
type 'make', or 'make nodebug'. Please let me know whether it works
for you or not.

If you're using PPP over ATM, you may also want to install the
linux-atm-libs, ppp and ppp-pppoatm packages which can be found there. 
Then set it up for PPP according to the howto at 
http://linux-usb.sourceforge.net/SpeedTouch/docs/howto.html -- you can
skip to about stage 9.

Next step is to get the initscripts and network configuration tools to
handle pppoa nicely. We should switch our pppoe from the separate tool
with pty abuse to the real pppoe plugin while we're at it.

I suppose I should package the standalone firmware extracter with a
little script which uses wget to get the ZIP file and then extracts it
all into the right place...
Comment 2 David Woodhouse 2004-10-04 09:36:27 EDT
Our PPP package now includes pppoatm without depending on the
linux-atm package. It wasn't using much from libatm anyway so I just
imported the routines it _does_ use.

Now to get the kernel driver merged upstream, and poke the maintainers
of similar modem drivers to update to use request_firmware() too...
Comment 3 David Woodhouse 2004-10-13 08:44:36 EDT
The kernel driver is now in Greg KH's bitkeeper tree and will be sent
to Linus as soon as 2.6.9 is released, so it'll be in 2.6.10. 

Our userspace scripts (rp-pppoe's /sbin/adsl-connect) have been
modified to work with PPP over ATM, with 'VCI=' and 'VPI=' settings in
the ifcfg-ppp0 configuration file.

All you need is the kernel driver and the firmware -- see
ftp://pentafluge.infradead.org/pub/dsl/README and
speedtouch-firmware-3.0.1.2-1.nosrc.rpm in the same directory.

Hopefully we can get the kernel driver into FC3 even if the shipped
FC3 kernel is actually based on 2.6.9.
Comment 4 Bill Nottingham 2005-03-02 17:05:36 EST
Is everything there now?
Comment 5 David Woodhouse 2005-03-02 17:13:29 EST
Fairly close. Obviously you still need to install the firmware, and there are
some esoteric <randomcrap>-over-ATM protocols which I think we don't support yet
in initscripts but which I think users can actually do if they try hard enough
manually.

We need system-config-network to do the point-and-drool thing too. There was
someone sending patches to me for that, and I bounced them to Harald. Not sure
what came of them -- I didn't speak python at that point (it was before I got
annoyed with anaconda on the Mac and fixed that, accidentally learning a
smattering of python in the process).
Comment 6 Harald Hoyer 2005-03-03 05:41:44 EST
I really should dig out s-c-network and work on it :) 
Though I enjoyed the time with no major bugs :)
Comment 7 Rahul Sundaram 2005-09-04 23:01:00 EDT
whats the update on this?
Comment 8 David Woodhouse 2005-09-05 02:42:57 EDT
We need system-config-network to let users set it up instead of having to follow
instructions at http://linux-usb.sf.net/SpeedTouch/fedora/
Comment 9 Rahul Sundaram 2005-09-05 02:45:23 EDT
Reassigning to s-c-n as a enhancements based on the above comments. Thanks
Comment 10 Harald Hoyer 2005-09-14 03:54:01 EDT
No other human resources assigned for this and nobody sends patches for s-c-network.

Note You need to log in before you can comment on or make changes to this bug.